Package io.dapr.v1

# Class DaprProtos.TryLockRequest

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.DaprProtos.TryLockRequest

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.TryLockRequestOrBuilder`, `Serializable`

Enclosing class:
  DaprProtos

public static final class DaprProtos.TryLockRequest extends com.google.protobuf.GeneratedMessageV3 implements DaprProtos.TryLockRequestOrBuilder
Protobuf type `dapr.proto.runtime.v1.TryLockRequest`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DaprProtos.TryLockRequest.Builder`
Protobuf type `dapr.proto.runtime.v1.TryLockRequest`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXPIRY_IN_SECONDS_FIELD_NUMBER`
`static final int`
`LOCK_OWNER_FIELD_NUMBER`
`static final int`
`RESOURCE_ID_FIELD_NUMBER`
`static final int`
`STORE_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static DaprProtos.TryLockRequest`
`getDefaultInstance()`
`DaprProtos.TryLockRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`int`
`getExpiryInSeconds()`
Required.
`String`
`getLockOwner()`
Required.
`com.google.protobuf.ByteString`
`getLockOwnerBytes()`
Required.
`com.google.protobuf.Parser<DaprProtos.TryLockRequest>`
`getParserForType()`
`String`
`getResourceId()`
Required.
`com.google.protobuf.ByteString`
`getResourceIdBytes()`
Required.
`int`
`getSerializedSize()`
`String`
`getStoreName()`
Required.
`com.google.protobuf.ByteString`
`getStoreNameBytes()`
Required.
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static DaprProtos.TryLockRequest.Builder`
`newBuilder()`
`static DaprProtos.TryLockRequest.Builder`
`newBuilder(DaprProtos.TryLockRequest prototype)`
`DaprProtos.TryLockRequest.Builder`
`newBuilderForType()`
`protected DaprProtos.TryLockRequest.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprProtos.TryLockRequest`
`parseDelimitedFrom(InputStream input)`
`static DaprProtos.TryLockRequest`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockRequest`
`parseFrom(byte[] data)`
`static DaprProtos.TryLockRequest`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockRequest`
`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.TryLockRequest`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockRequest`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.TryLockRequest`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockRequest`
`parseFrom(InputStream input)`
`static DaprProtos.TryLockRequest`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.TryLockRequest`
`parseFrom(ByteBuffer data)`
`static DaprProtos.TryLockRequest`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprProtos.TryLockRequest>`
`parser()`
`DaprProtos.TryLockRequest.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### STORE_NAME_FIELD_NUMBER

public static final int STORE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### RESOURCE_ID_FIELD_NUMBER

public static final int RESOURCE_ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### LOCK_OWNER_FIELD_NUMBER

public static final int LOCK_OWNER_FIELD_NUMBER

See Also:
  - Constant Field Values

### EXPIRY_IN_SECONDS_FIELD_NUMBER

public static final int EXPIRY_IN_SECONDS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getStoreName

public String getStoreName()

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreName` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The storeName.

### getStoreNameBytes

public com.google.protobuf.ByteString getStoreNameBytes()

     Required. The lock store name,e.g. `redis`.

`string store_name = 1 [json_name = "storeName"];`

Specified by:
  `getStoreNameBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for storeName.

### getResourceId

public String getResourceId()

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceId` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The resourceId.

### getResourceIdBytes

public com.google.protobuf.ByteString getResourceIdBytes()

     Required. resource_id is the lock key. e.g. `order_id_111`
     It stands for "which resource I want to protect"

`string resource_id = 2 [json_name = "resourceId"];`

Specified by:
  `getResourceIdBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for resourceId.

### getLockOwner

public String getLockOwner()

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwner` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The lockOwner.

### getLockOwnerBytes

public com.google.protobuf.ByteString getLockOwnerBytes()

     Required. lock_owner indicate the identifier of lock owner.
     You can generate a uuid as lock_owner.For example,in golang:

     req.LockOwner = uuid.New().String()

     This field is per request,not per process,so it is different for each request,
     which aims to prevent multi-thread in the same process trying the same lock concurrently.

     The reason why we don't make it automatically generated is:
     1. If it is automatically generated,there must be a 'my_lock_owner_id' field in the response.
       This name is so weird that we think it is inappropriate to put it into the api spec
     2. If we change the field 'my_lock_owner_id' in the response to 'lock_owner',which means the current lock owner of this lock,
       we find that in some lock services users can't get the current lock owner.Actually users don't need it at all.
     3. When reentrant lock is needed,the existing lock_owner is required to identify client and check "whether this client can reenter this lock".
       So this field in the request shouldn't be removed.

`string lock_owner = 3 [json_name = "lockOwner"];`

Specified by:
  `getLockOwnerBytes` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The bytes for lockOwner.

### getExpiryInSeconds

public int getExpiryInSeconds()

     Required. The time before expiry.The time unit is second.

`int32 expiry_in_seconds = 4 [json_name = "expiryInSeconds"];`

Specified by:
  `getExpiryInSeconds` in interface `DaprProtos.TryLockRequestOrBuilder`
Returns:
  The expiryInSeconds.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.TryLockRequest parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static DaprProtos.TryLockRequest parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static DaprProtos.TryLockRequest parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public DaprProtos.TryLockRequest.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static DaprProtos.TryLockRequest.Builder newBuilder()

### newBuilder

public static DaprProtos.TryLockRequest.Builder newBuilder(DaprProtos.TryLockRequest prototype)

### toBuilder

public DaprProtos.TryLockRequest.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected DaprProtos.TryLockRequest.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static DaprProtos.TryLockRequest getDefaultInstance()

### parser

public static com.google.protobuf.Parser<DaprProtos.TryLockRequest> parser()

### getParserForType

public com.google.protobuf.Parser<DaprProtos.TryLockRequest> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public DaprProtos.TryLockRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`